import type { GoogleBucketName } from "./GoogleBucketName";
import type { S3ObjectKey } from "./S3ObjectKey";
/**
 * From T, pick a set of properties whose keys are in the union K
 */
export declare type Pick_GoogleStorage_Exclude_keyofGoogleStorage_credentials__ = {
    /**
     * The type of this storage layer.
     */
    type: "GoogleStorage";
    bucket: {
        objectKeyPrefix: S3ObjectKey;
        bucketName: GoogleBucketName;
    };
    /**
     * If `true` then writes Google Storage objects with full `filePath` as key, prefixed with the `objectKeyPrefix`.
     *
     * If `false` then writes Google Storage objects using a relative `filePath` in relation to folder's path, prefixed with the `objectKeyPrefix`.
     */
    useAbsolutePaths: boolean;
};
