import type { CloudflareAccountId } from "./CloudflareAccountId";
import type { S3BucketName } from "./S3BucketName";
import type { S3ObjectKey } from "./S3ObjectKey";
/**
 * From T, pick a set of properties whose keys are in the union K
 */
export declare type Pick_R2Storage_Exclude_keyofR2Storage_credentials__ = {
    /**
     * The type of this storage layer.
     */
    type: "R2";
    bucket: {
        objectKeyPrefix: S3ObjectKey;
        bucketName: S3BucketName;
    };
    /**
     * If `true` then writes Google Storage objects with full `filePath` as key, prefixed with the `objectKeyPrefix`.
     *
     * If `false` then writes Google Storage objects using a relative `filePath` in relation to folder's path, prefixed with the `objectKeyPrefix`.
     */
    useAbsolutePaths: boolean;
    cloudflareAccountId: CloudflareAccountId;
};
