import type { DigitalOceanStorageWithoutCredentials } from "./DigitalOceanStorageWithoutCredentials";
import type { GoogleStorageWithoutCredentials } from "./GoogleStorageWithoutCredentials";
import type { InternalStorageV1 } from "./InternalStorageV1";
import type { InternalStorageV2 } from "./InternalStorageV2";
import type { R2StorageWithoutCredentials } from "./R2StorageWithoutCredentials";
import type { S3StorageWithoutCredentials } from "./S3StorageWithoutCredentials";
import type { WebStorage } from "./WebStorage";
/**
 * Storage layer summary information, describing an existing folder's storage layer.
 *
 * This data type does not contain credentials.
 */
export declare type StorageLayerSummary = InternalStorageV1 | InternalStorageV2 | WebStorage | S3StorageWithoutCredentials | DigitalOceanStorageWithoutCredentials | R2StorageWithoutCredentials | GoogleStorageWithoutCredentials;
