/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { AwsAccessKey } from "./AwsAccessKey";
import type { AwsSecretKey } from "./AwsSecretKey";
import type { DigitalOceanRegion } from "./DigitalOceanRegion";
import type { S3BucketName } from "./S3BucketName";
import type { S3ObjectKey } from "./S3ObjectKey";

/**
 * Storage layer used for storing files in a DigitalOcean Space, as opposed to Upload's built-in storage.
 *
 * This is a read/write storage layer.
 */
export type DigitalOceanStorage = {
  bucket: {
    objectKeyPrefix: S3ObjectKey;
    bucketRegion: DigitalOceanRegion;
    bucketName: S3BucketName;
  };
  credentials: {
    spacesSecretKey: AwsSecretKey;
    spacesAccessKey: AwsAccessKey;
  };
  /**
   * The type of this storage layer.
   */
  type: "DigitalOceanSpace";
  /**
   * If `true` then writes S3 objects with full `filePath` as key, prefixed with the `objectKeyPrefix`.
   *
   * If `false` then writes S3 objects using a relative `filePath` in relation to folder's path, prefixed with the `objectKeyPrefix`.
   */
  useAbsolutePaths: boolean;
};
