/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { AwsAccessKey } from "./AwsAccessKey";
import type { AwsSecretKey } from "./AwsSecretKey";
import type { GoogleBucketName } from "./GoogleBucketName";
import type { S3ObjectKey } from "./S3ObjectKey";

/**
 * Storage layer used for storing files in Google Storage, as opposed to Upload's built-in storage.
 *
 * This is a read/write storage layer.
 */
export type GoogleStorage = {
  bucket: {
    objectKeyPrefix: S3ObjectKey;
    bucketName: GoogleBucketName;
  };
  credentials: {
    googleSecretKey: AwsSecretKey;
    googleAccessKey: AwsAccessKey;
  };
  /**
   * The type of this storage layer.
   */
  type: "GoogleStorage";
  /**
   * If `true` then writes Google Storage objects with full `filePath` as key, prefixed with the `objectKeyPrefix`.
   *
   * If `false` then writes Google Storage objects using a relative `filePath` in relation to folder's path, prefixed with the `objectKeyPrefix`.
   */
  useAbsolutePaths: boolean;
};
