/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { AwsAccessKey } from "./AwsAccessKey";
import type { AwsSecretKey } from "./AwsSecretKey";
import type { CloudflareAccountId } from "./CloudflareAccountId";
import type { S3BucketName } from "./S3BucketName";
import type { S3ObjectKey } from "./S3ObjectKey";

/**
 * Storage layer used for storing files in Cloudflare R2, as opposed to Upload's built-in storage.
 *
 * This is a read/write storage layer.
 */
export type R2Storage = {
  bucket: {
    objectKeyPrefix: S3ObjectKey;
    bucketName: S3BucketName;
  };
  cloudflareAccountId: CloudflareAccountId;
  credentials: {
    r2SecretKey: AwsSecretKey;
    r2AccessKey: AwsAccessKey;
  };
  /**
   * The type of this storage layer.
   */
  type: "R2";
  /**
   * If `true` then writes Google Storage objects with full `filePath` as key, prefixed with the `objectKeyPrefix`.
   *
   * If `false` then writes Google Storage objects using a relative `filePath` in relation to folder's path, prefixed with the `objectKeyPrefix`.
   */
  useAbsolutePaths: boolean;
};
